Subject: Re: [PATCH] hooks/commit-msg: add example to add Signed-off-by line to message

From: Andy Parkins <[email-masked]>
Date: Fri, 22 Dec 2006 09:28:07 +0000

On Friday 2006 December 22 05:45, Junio C Hamano wrote:

> I suspect this sed script is quite wrong.  Did you test it?

I plead not guilty; cut and pasted from Johannes.  In it's defence; I've been 
using it since he gave it to me without trouble.  My patch is wrapping it a 
little differently, but the sed is certainly the same.

Amazingly it does work though...

>  * quoting with dq means you are losing one level of backslash
>    to the shell and sed is not seeing them.

Unusual.  It doesn't seem to apply to non-recognised escapes:

$ echo "\1\(\)\+$/"
\1\(\)\+$/

>  * one-or-more regexp '+' is typically not found in sed.

Seems to be in mine (GNU sed version 4.1.5).

$ echo "xxxxxx" | sed -n 's/\(x\+\)$/MATCH/p'
MATCH

> off that new change as well, I think.  So checking the last
> instance of the existing signed-off-by line, ignoring earlier
> ones, may be more preferrable.

Accepted.

Notwithstanding the fact that it seems to be working for me; I'll fix the 
problems you highlight and re-patch.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]